SELECT DISTINCT EV.ID_EVENTO AS ID_EVENTO,
                EV.DATA_INIZIO AS DATA_INIZIO_EVENTO,
                EV.DATA_FINE AS DATA_FINE_EVENTO,
                EV.ORA_INIZIO AS ORA_INIZIO,
                EV.ORA_FINE AS ORA_FINE,
                S.CODICE_BA AS CODICE_LOCALE,
                L.DENOMINAZIONE AS DENOMINAZIONE_LOCALE,
                STL.COD_COMUNE AS CODICE_COMUNE,
                CL.DESCRIZIONE AS COMUNE_LOCALE,
                PL.DESCRIZIONE AS PROVINCIA_LOCALE,
                RL.DESCRIZIONE AS REGIONE_LOCALE,
                S.CODICE_BA AS CODICE_BA_LOCALE,
                L.CAP AS CAP_LOCALE,
                PL.SIGLA AS SIGLA_LOCALE,
                S.DENOMINAZIONE AS SPAZIO_LOCALE,
                L.COD_GENERE_LOCALE AS GENERE_LOCALE,
                TP.DENOMINAZIONE ||' ' ||STL.DENOMINAZIONE ||' ' ||L.NUMERO_CIVICO AS DENOMINAZIONE_LOCALITA,
                O.CODICE_SAP AS CODICE_SAP_ORGANIZZATORE,
                O.PARTITA_IVA AS PARTITA_IVA_ORGANIZZATORE,
                O.CODICE_FISCALE AS CODICE_FISCALE_ORGANIZZATORE,
                O.COGNOME||' ' ||O.NOME AS NOME_ORGANIZZATORE,
                CL.DESCRIZIONE AS COMUNE_ORGANIZZATORE,
                PL.DESCRIZIONE AS PROVINCIA_ORGANIZZATORE,
                OPE.TITOLO AS TITOLO,
                OPE.TITOLO_ORIGINALE AS TITOLO_ORIGINALE,
                EV.DATA_BONIFICA as DATA_BONIFICA      
FROM SPEI_ADMIN.VIEW_PMO_DISTRIBUZIONE VPQ
  JOIN EVENTO EV ON EV.ID_EVENTO = VPQ.ID_EVENTO
  JOIN CLASSE_EVENTO CE ON EV.ID_EVENTO = CE.ID_CLASSE_EVENTO
  JOIN SPAZIO S ON S.ID_SPAZIO = CE.ID_SPAZIO
  JOIN LOCALE L ON S.ID_LOCALE = L.ID_LOCALE
  JOIN CODICE_SPEI CS ON CS.ID_SPAZIO = S.ID_SPAZIO
  JOIN ORGANIZZATORE O ON O.ID_ORGANIZZATORE = CE.ID_ORGANIZZATORE
  JOIN STRADA STL ON STL.ID_STRADA = L.ID_STRADA
  JOIN TOPONIMO TP ON STL.COD_TOPONIMO =  TP.COD_TOPONIMO
  JOIN COMUNE CL ON CL.COD_COMUNE = STL.COD_COMUNE
  JOIN PROVINCIA PL ON PL.COD_PROVINCIA = CL.COD_PROVINCIA
  JOIN REGIONE RL ON PL.COD_REGIONE = RL.COD_REGIONE
  LEFT JOIN STRADA STO ON STO.ID_STRADA = O.ID_STRADA
  JOIN COMUNE CLO ON CLO.COD_COMUNE = STO.COD_COMUNE
  JOIN PROVINCIA PLO ON PLO.COD_PROVINCIA = CLO.COD_PROVINCIA
  JOIN REGIONE RLO ON PLO.COD_REGIONE = RLO.COD_REGIONE
  LEFT JOIN OPERA_EVENTO OPEVENTO ON EV.ID_EVENTO = OPEVENTO.ID_EVENTO
  LEFT JOIN OPERA OPE ON  OPEVENTO.ID_OPERA  = OPE.ID_OPERA
WHERE TRUNC(VPQ.DATA,'MONTH')=TO_DATE('{year}-{month}','YYYY-MM')
      AND (
        EV.DATA_BONIFICA > TO_DATE('{year}-{month}-{day}','YYYY-MM-DD')
        or OPEVENTO.DATA_BONIFICA > TO_DATE('{year}-{month}-{day}','YYYY-MM-DD')
        or OPE.DATA_BONIFICA > TO_DATE('{year}-{month}-{day}','YYYY-MM-DD')
      )
